Skip to main content
POST
/
api
/
v1
/
email
/
messages
Send a new email
curl --request POST \
  --url https://{subdomain}.mihu.ai/api/v1/email/messages \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "from": "<string>",
  "to": "jsmith@example.com",
  "body_html": "<string>",
  "subject": "<string>",
  "attachments": [
    {
      "filename": "<string>",
      "content_base64": "<string>",
      "mime": "<string>"
    }
  ]
}
'
import requests

url = "https://{subdomain}.mihu.ai/api/v1/email/messages"

payload = {
"from": "<string>",
"to": "jsmith@example.com",
"body_html": "<string>",
"subject": "<string>",
"attachments": [
{
"filename": "<string>",
"content_base64": "<string>",
"mime": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from: '<string>',
to: 'jsmith@example.com',
body_html: '<string>',
subject: '<string>',
attachments: [{filename: '<string>', content_base64: '<string>', mime: '<string>'}]
})
};

fetch('https://{subdomain}.mihu.ai/api/v1/email/messages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));



Authorizations

Authorization
string
header
required

Use a Bearer token to access these API endpoints. Example: "Bearer {your-token}"

Body

application/json
from
string
required

uuid of the sending email address

to
string<email>
required
body_html
string
required
subject
string
attachments
object[]

Response

Sent